Creating a cross-chain translation
The method allows you to create a cross-chain transfer. Cross-chain transfer allows you to transfer your assets from one network to another
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request to create a cross-chain transfer
clientIdstringOptionalExample:
Unique transaction identifier in the merchant system, to prevent duplication of creation
merchant_unique_idaddressFromIdstringRequiredExample:
Identifier of the outgoing address in the system, in the specified coin and network when creating the commission token. The specified amount will be debited from this address
be5196d9-4e99-4d9a-8a2a-b8c8b53affb2addressToIdstringRequiredExample:
Identifier of the destination address in the system where the coins should be delivered
9a39b8b3-22fd-477a-b89c-f9d0c5c35bbefeeTokenstringRequiredExample:
Commission Token
U2FsdGVkX18kvWQ4L8fNAWVKd4ApiUhokQjwJld5dCAHkx6e4HTCX/JKUl1bsh+YsMvY4n7wOCiAjEZ+OpD+QkT6K9cuVR36QNWImQTvpv8fMTrmSm4MaV/4fHlu1s6d9vUk3pYya7nT1Vrs0j8MFcUU+/yo7lQs59J0VD2m6NMpevraQ5dbthqz/3zmqLM+vYSrxWjh+IVH/Aw32gDFtMJ35Tmlg9en6WVsd4jaezc=webhookUrlstringOptionalExample:
URL address for operation status notification
https://merchant.domain/webhooks/bridgeResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/bridge/create
POST /api-gateway/bridge/create HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 446
{
"clientId": "merchant_unique_id",
"addressFromId": "be5196d9-4e99-4d9a-8a2a-b8c8b53affb2",
"addressToId": "9a39b8b3-22fd-477a-b89c-f9d0c5c35bbe",
"feeToken": "U2FsdGVkX18kvWQ4L8fNAWVKd4ApiUhokQjwJld5dCAHkx6e4HTCX/JKUl1bsh+YsMvY4n7wOCiAjEZ+OpD+QkT6K9cuVR36QNWImQTvpv8fMTrmSm4MaV/4fHlu1s6d9vUk3pYya7nT1Vrs0j8MFcUU+/yo7lQs59J0VD2m6NMpevraQ5dbthqz/3zmqLM+vYSrxWjh+IVH/Aw32gDFtMJ35Tmlg9en6WVsd4jaezc=",
"webhookUrl": "https://merchant.domain/webhooks/bridge"
}200Success
{
"success": true,
"response": {
"id": "25e7fcf2-4681-489b-920a-ed97f5526af9",
"clientId": "merchant_unique_id",
"currency": "USDT",
"networkFrom": "ethereum",
"networkTo": "tron",
"status": "PENDING",
"rejectMessage": null,
"amount": "200",
"amountUSD": "200",
"blockchainFee": "2",
"blockchainFeeUSD": "2.12",
"serviceFeeUSD": "0.50",
"webhookUrl": "https://merchant.domain/webhooks/bridge",
"createdAt": "2026-01-29T11:16:59.956Z"
}
}Last updated